devices
Create or refresh a device
Create a new device or refresh an existing one if the push token already exists for the current user. Available to all authenticated users. Users can only manage their own devices.
POST
/
api
/
devices
/
create_or_refresh
Create or refresh a device
curl --request POST \
--url https://api.fluid.app/api/devices/create_or_refresh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"push_token": "<string>",
"device_type": "<string>",
"device_uid": "<string>",
"project_id": "<string>",
"bundle_id": "<string>"
}
'import requests
url = "https://api.fluid.app/api/devices/create_or_refresh"
payload = {
"push_token": "<string>",
"device_type": "<string>",
"device_uid": "<string>",
"project_id": "<string>",
"bundle_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
push_token: '<string>',
device_type: '<string>',
device_uid: '<string>',
project_id: '<string>',
bundle_id: '<string>'
})
};
fetch('https://api.fluid.app/api/devices/create_or_refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}Authorizations
Bearer token authentication
Body
application/json
Response
string | number | boolean | null | any[] | object
Created
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Create or refresh a device
